Bug 322161 - Review Request: egoboo - A top down graphical (3D) RPG in the spirit of Nethack
Review Request: egoboo - A top down graphical (3D) RPG in the spirit of Nethack
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
:
Depends On: 322111
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-07 09:55 EDT by Hans de Goede
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-09 08:16:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dan: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2007-10-07 09:55:40 EDT
Spec URL: http://people.atrpms.net/~hdegoede/egoboo.spec
SRPM URL: http://people.atrpms.net/~hdegoede/egoboo-2.4.3-1.fc8.src.rpm
Description:
Egoboo is a top down rpg in the spirit of Nethack and other games of the
Roguelike genre. It uses OpenGL graphics and will have randomly generated
maps and customizable characters. The objective of the project is to bring the
fun and depth of roguelike gameplay, kicking and screaming, into the third
dimension.

---

Reviewers note: this needs to following 2 packages which are still under review:
enet - Thin, simple and robust network layer on top of UDP - bug 322111
egoboo-data - Data files for the Egoboo RPG - bug 322141
Comment 1 Dan Horák 2007-10-07 11:32:12 EDT
I cannot find any info about licensing. can you give some pointer?
Comment 2 Dan Horák 2007-10-07 12:06:59 EDT
rpmlint is not silent
I: egoboo checking
E: egoboo invalid-desktopfile
/tmp/egoboo-2.4.3-1.fc8.i386.rpm.20743/usr/share/applications/fedora-egoboo.desktop
.desktop file is not valid, check with desktop-file-validate

the desktop file is missing the required "Encoding" field

[dan@eagle ~]$ desktop-file-validate /tmp/egoboo.desktop 
/tmp/egoboo.desktop: error: required key "Encoding" not found
Comment 3 Hans de Goede 2007-10-07 13:09:29 EDT
(In reply to comment #1)
> I cannot find any info about licensing. can you give some pointer?

If you download the windows .exe for 2.4.3 from http://sf.net/projects/egoboo
and then run it through wine, you will be shown the GPL syring install and get a
License.pdf in: ~/.wine/drive_c/Program\ Files/Egoboo\ Development\ Team/Egoboo/
which contains the GPL.

Alternatively, if you go to http://sf.net/projects/egoboo -> dowloads -> show
older releases and download 2.2.2 for Linux, you will find a gpl.txt (and the
source code) in the tarbal.

(In reply to comment #2)
> rpmlint is not silent
> I: egoboo checking
> E: egoboo invalid-desktopfile
>
/tmp/egoboo-2.4.3-1.fc8.i386.rpm.20743/usr/share/applications/fedora-egoboo.desktop
> .desktop file is not valid, check with desktop-file-validate
> 
> the desktop file is missing the required "Encoding" field
> 
> [dan@eagle ~]$ desktop-file-validate /tmp/egoboo.desktop 
> /tmp/egoboo.desktop: error: required key "Encoding" not found
> 

Then you are using an old desktop-file-utils Encoding has been deprecated and
the latest desktop-file-utils complains if it is present.

Comment 4 Dan Horák 2007-10-07 14:11:25 EDT
(In reply to comment #3)
> > [dan@eagle ~]$ desktop-file-validate /tmp/egoboo.desktop 
> > /tmp/egoboo.desktop: error: required key "Encoding" not found
> > 
> 
> Then you are using an old desktop-file-utils Encoding has been deprecated and
> the latest desktop-file-utils complains if it is present.

Yes, that the cause.
Comment 5 Dan Horák 2007-10-07 14:14:08 EDT
Review:

OK	source files match upstream (no diff between the upstream rar archive and
your tar.gz):
	    b145050af8577bfba703235ef4a5383fe59c8029  egoboo-2.4.3.tar.gz
OK	package meets naming and versioning guidelines.
OK	specfile is properly named, is cleanly written and uses macros consistently.
OK	dist tag is present.
OK	build root is correct.
OK	license field matches the actual license (GPL).
OK	license is open source-compatible. License text not included upstream
sources, but is in the data package (or preciselly in the windows installation
package) and an older version of sources.
OK	latest version is being packaged.
OK	BuildRequires are proper.
OK	compiler flags are appropriate.
OK	%clean is present.
OK	package builds in mock (development/i386).
OK	debuginfo package looks complete.
OK	rpmlint is silent.
OK	final provides and requires look sane.
OK	no shared libraries are added to the regular linker search paths.
OK	owns the directories it creates (there are none).
OK	doesn't own any directories it shouldn't.
OK	no duplicates in %files.
OK	file permissions are appropriate.
OK	no scriptlets present.
OK	code, not content.
OK	documentation is small, so no -docs subpackage is necessary.
OK	%docs are not necessary for the proper functioning of the package.
OK	no headers.
OK	no pkgconfig files.
OK	no libtool .la droppings.
OK	is a GUI app, desktop file is included.

this package is APPROVED
Comment 6 Dan Horák 2007-10-07 15:38:25 EDT
Please ask upstream about license version clarification - the windows installer
displays GPL v3, but included in License.pdf is GPLv2.
Comment 7 Hans de Goede 2007-10-07 15:57:58 EDT
Thanks! I've send a mail to upstream to clarify the license version.

New Package CVS Request
=======================
Package Name:      egoboo
Short Description: A top down graphical (3D) RPG in the spirit of Nethack
Owners:            jwrdegoede
Branches:          F-7 devel
InitialCC:         <empty>
Cvsextras Commits: Yes

Comment 8 Kevin Fenzi 2007-10-08 14:29:36 EDT
cvs done.
Comment 9 Hans de Goede 2007-10-09 08:16:51 EDT
Imported and build, closing.

Note F-7 update pushing is waiting for enet tagging into F-7 buildroot so that
egoboo can be build and this can be pushed as an update bundle.

Note You need to log in before you can comment on or make changes to this bug.